## org.eclipse.emf.ecore.impl
Class EDataTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EDataTypeImpl

All Implemented Interfaces:
  Notifier, EClassifier, EDataType, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EClassifierExtendedMetaData.Holder

Direct Known Subclasses:
  EEnumImpl

    public class EDataTypeImpl

extends EClassifierImpl
implements EDataType

An implementation of the model object 'EData Type'.

The following features are implemented:

- `Serializable`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected java.lang.Object` `defaultValue`
`protected boolean` `defaultValueIsSet`
`protected static boolean` `SERIALIZABLE_EDEFAULT` The default value of the '`Serializable`' attribute
`protected static int` `SERIALIZABLE_EFLAG` The flag representing the value of the '`Serializable`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EDataTypeImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.Object` `getDefaultValue()` Returns the value of the 'Default Value' attribute
`boolean` `isSerializable()`
`protected void` `setDataTypeGeneratedInstanceClass(boolean isGenerated)`
`void` `setGeneratedInstanceClass(boolean isGenerated)`
`void` `setInstanceClassGen(java.lang.Class<?> instanceClass)`
`void` `setSerializable(boolean newSerializable)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl

`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, dynamicIsInstance, eBasicRemoveFromContainerFeature, eBasicSetContainer, eInverseAdd, eInverseRemove, getClassForName, getClassifierID, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isInstance, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setInstanceClass, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### SERIALIZABLE_EDEFAULT

    protected static final boolean SERIALIZABLE_EDEFAULT

  The default value of the '`Serializable`' attribute.

  See Also:
    `isSerializable()`, Constant Field Values

### SERIALIZABLE_EFLAG

    protected static final int SERIALIZABLE_EFLAG

  The flag representing the value of the '`Serializable`' attribute.

  See Also:
    `isSerializable()`, Constant Field Values

### defaultValue

    protected java.lang.Object defaultValue

### defaultValueIsSet

    protected boolean defaultValueIsSet

Constructor Detail

### EDataTypeImpl

    protected EDataTypeImpl()

Method Detail

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Description copied from interface: `EClassifier`
  Returns the value of the 'Default Value' attribute.

  The default value for the type, in the Java sense. For primitive types, it will be the Java primitive default wrapped appropriately. For `enums`, it will be the first enumerator. And for all other types derived from `java.lang.Object`, it will be null.

  Specified by:
    `getDefaultValue` in interface `EClassifier`
  Overrides:
    `getDefaultValue` in class `EClassifierImpl`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `EcorePackage.getEClassifier_DefaultValue()`

### setInstanceClassGen

    public void setInstanceClassGen(java.lang.Class<?> instanceClass)

  Overrides:
    `setInstanceClassGen` in class `EClassifierImpl`

### setGeneratedInstanceClass

    public void setGeneratedInstanceClass(boolean isGenerated)

  Overrides:
    `setGeneratedInstanceClass` in class `EClassifierImpl`

### setDataTypeGeneratedInstanceClass

    protected void setDataTypeGeneratedInstanceClass(boolean isGenerated)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EClassifierImpl`

### isSerializable

    public boolean isSerializable()

  Specified by:
    `isSerializable` in interface `EDataType`
  Returns:
    the value of the 'Serializable' attribute.
  See Also:
    `EDataType.setSerializable(boolean)`, `EcorePackage.getEDataType_Serializable()`

### setSerializable

    public void setSerializable(boolean newSerializable)

  Specified by:
    `setSerializable` in interface `EDataType`
  Parameters:
    `newSerializable` - the new value of the 'Serializable' attribute.
  See Also:
    `EDataType.isSerializable()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EClassifierImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EClassifierImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EClassifierImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EClassifierImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EClassifierImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.